version: "3"

services:
  ros-master:
    image: ros:noetic-ros-core
    command: stdbuf -o L roscore
    networks:
      - ros
    restart: always

  sentinel_ctd:
      image: registry.gitlab.com/sentinel-aug/ros/sentinel_ctd
      build:
        context: .
        dockerfile: docker/Dockerfile.sentinel_ctd
      networks:
        - ros
      environment:
        - "ROS_MASTER_URI=http://ros-master:11311"
      volumes:
        - "/etc/localtime:/etc/localtime:ro"
      devices:
        - "${CTD_SERIAL_PORT:-/dev/ttyUSB0}:/dev/tty_ctd" 
        #Use environment variable "CTD_SERIAL_PORT" if defined
        #otherwise ":-" tells it to look for ttyUSB0
        #Outside of braces to the right is what the serial connection is
        #named inside of the docker container
      command:
        - stdbuf
        - -o
        - L
        - roslaunch
        - --wait
        - sentinel_ctd
        - ctd.launch
        - serial_port:=/dev/tty_ctd
networks:
  ros: {}

